org.eclipse.net4j.util.ui

## Class StaticContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<java.lang.Object>
      - - org.eclipse.net4j.util.ui.StaticContentProvider

- All Implemented Interfaces:
    java.util.EventListener, IContentProvider, IStructuredContentProvider, IListener

      public class StaticContentProvider
      extends StructuredContentProvider<java.lang.Object>

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticContentProvider(java.lang.Class<java.lang.Object> enumClass)`
    `StaticContentProvider(java.util.Collection<?> elements)`
    `StaticContentProvider(java.lang.Object[] elements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `connectInput, disconnectInput, dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticContentProvider

          public StaticContentProvider(java.lang.Object[] elements)

    - #### StaticContentProvider

          public StaticContentProvider(java.util.Collection<?> elements)

    - #### StaticContentProvider

          public StaticContentProvider(java.lang.Class<java.lang.Object> enumClass)

  - ### Method Detail

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html